//----------------------------------------------------------------------------------------
// Extensions protocol
//----------------------------------------------------------------------------------------

#ifndef _PROCESSMAP_
#include "CPProcessMap.h"
#endif

//----------------------------------------------------------------------------------------

ODBoolean CPProcessMap::HasExtension(Environment* ev, ODType extensionName)
{
	// CodeWarrior: Cmd-Click or Search:Find Definition  Explain_HasExtension
	EnteringMethod("\pCPProcessMap::HasExtension");
	ODUnused(extensionName);

	return kODFalse;
		// No extension until you implement one for your part.
}

//----------------------------------------------------------------------------------------

ODExtension* CPProcessMap::GetExtension(Environment* ev, ODType extensionName)
{
	// CodeWarrior: Cmd-Click or Search:Find Definition  Explain_GetExtension
	EnteringMethod("\pCPProcessMap::GetExtension");
	ODUnused(extensionName);

	DebugStr("\pUntil the part implements extension support, this should not get called.");

	ev->_major = kODErrUnsupportedExtension;
		// If we are called with an extension type we don't support,
		// we should be returning an error here.

	return kODNULL;
}

//----------------------------------------------------------------------------------------

void CPProcessMap::ReleaseExtension(Environment* ev, ODExtension* extension)
{
	// CodeWarrior: Cmd-Click or Search:Find Definition  Explain_ReleaseExtension
	EnteringMethod("\pCPProcessMap::ReleaseExtension");
	ODUnused(extension);
}

